<template>
  <div id="app">
    <nav class="uk-navbar-container cw-navbar-container" uk-navbar>
      <div class="uk-navbar-left">
        <a class="uk-navbar-item uk-logo" href="#">
          <img src="https://demo.yootheme.com/themes/joomla/2014/vida/images/yootheme/logo.svg" width="50" height="19" alt="Theme Vida Logo">
        </a>
      </div>
      <div class="uk-navbar-left uk-margin-large-left">
        <ul class="uk-navbar-nav">
          <li v-for="link in linkMenu" :key="link.title">
            <router-link :to="link.url" v-text="link.title"></router-link>
          </li>
        </ul>
      </div>
    </nav>
    <div class="uk-container uk-margin-medium-top">
      <router-view/>
    </div>
  </div>
</template>
<script>
  import UIkit from 'uikit';
  import Icons from 'uikit/dist/js/uikit-icons';
  UIkit.use(Icons);
  export default {
    name: 'App',
    data(){
      return {
        isActive: false,
        linkMenu:[
          {title: 'Home', url:'/'},
          {title: 'Lab 8', url:'/lab8'},
          {title: 'Lab 9', url:'/lab9'},
          {title: 'Lab 10', url:'/lab10'},
          {title: 'Lab 11', url:'/lab11'},
          {title: 'Course Work', url:'/course-work'}
        ]
      }
    }
  }

</script>
<style lang="less">
  @import "less/uikit-theme";
</style>
